zenilib: SDL_PrivateAudioData Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
SDL_PrivateAudioData Struct Reference

`#include <SDL_alsa_audio.h>`

## Public Attributes

AuServer * | aud
int | audio_fd
SDL_AudioFormat | audio_fmt
snd_pcm_t * | audio_handle
BSoundPlayer * | audio_obj
HANDLE | audio_sem
AudioUnit | audioUnit
int | audioUnitOpened
int | bps
int | buf_free
void * | buffer
UInt32 | bufferOffset
UInt32 | bufferSize
int | cardno
int | channel
pa_context * | context
struct sio_hdl * | dev
AuDeviceID | dev
AudioDeviceID | deviceID
int | deviceno
AuFlowID | flow
int | fragsize
float | frame_ticks
int | frequency
IFusionSound * | fs
HWAVEIN | hin
HWAVEOUT | hout
Uint32 | initial_calls
int | iscapture
struct timeval | last_tv
DWORD | lastchunk
Uint8 * | locked_buf
pa_mainloop * | mainloop
pa_mainloop_api * | mainloop_api
LPDIRECTSOUNDBUFFER | mixbuf
Uint8 * | mixbuf
Uint8 * | mixbufs [NUM_BUFFERS]
Uint32 | mixlen
int | mixlen
int | mixsamples
int | next_buffer
float | next_frame
int | num_buffers
SDL_RWops * | output
pid_t | parent
Uint8 * | pcm_buf
snd_pcm_t * | pcm_handle
Uint32 | pcm_len
Uint8 * | rawbuf
int | really
LPDIRECTSOUND | sound
arts_stream_t | stream
pa_stream * | stream
IFusionSoundStream * | stream
uint32_t | timeout_on_wait
Uint8 * | ulaw_buf
int | ulaw_only
WAVEHDR | wavebuf [NUM_BUFFERS]
Uint32 | write_delay
Sint32 | written
int | written

## Detailed Description

Definition at line 33 of file SDL_alsa_audio.h.

## Member Data Documentation

AuServer* SDL_PrivateAudioData::aud

Definition at line 40 of file SDL_nasaudio.h.

int SDL_PrivateAudioData::audio_fd

Definition at line 33 of file SDL_bsdaudio.h.

SDL_AudioFormat SDL_PrivateAudioData::audio_fmt

Definition at line 36 of file SDL_sunaudio.h.

snd_pcm_t* SDL_PrivateAudioData::audio_handle

Definition at line 42 of file SDL_qsa_audio.h.

BSoundPlayer* SDL_PrivateAudioData::audio_obj

Definition at line 33 of file SDL_beaudio.h.

HANDLE SDL_PrivateAudioData::audio_sem

Definition at line 37 of file SDL_winmm.h.

AudioUnit SDL_PrivateAudioData::audioUnit

Definition at line 46 of file SDL_coreaudio.h.

int SDL_PrivateAudioData::audioUnitOpened

Definition at line 47 of file SDL_coreaudio.h.

int SDL_PrivateAudioData::bps

Definition at line 50 of file SDL_nasaudio.h.

int SDL_PrivateAudioData::buf_free

Definition at line 52 of file SDL_nasaudio.h.

void* SDL_PrivateAudioData::buffer

Definition at line 48 of file SDL_coreaudio.h.

UInt32 SDL_PrivateAudioData::bufferOffset

Definition at line 49 of file SDL_coreaudio.h.

UInt32 SDL_PrivateAudioData::bufferSize

Definition at line 50 of file SDL_coreaudio.h.

int SDL_PrivateAudioData::cardno

Definition at line 40 of file SDL_qsa_audio.h.

int SDL_PrivateAudioData::channel

Definition at line 34 of file SDL_pspaudio.h.

pa_context* SDL_PrivateAudioData::context

Definition at line 38 of file SDL_pulseaudio.h.

struct sio_hdl* SDL_PrivateAudioData::dev

Definition at line 36 of file SDL_sndioaudio.h.

AuDeviceID SDL_PrivateAudioData::dev

Definition at line 42 of file SDL_nasaudio.h.

AudioDeviceID SDL_PrivateAudioData::deviceID

Definition at line 52 of file SDL_coreaudio.h.

int SDL_PrivateAudioData::deviceno

Definition at line 41 of file SDL_qsa_audio.h.

AuFlowID SDL_PrivateAudioData::flow

Definition at line 41 of file SDL_nasaudio.h.

int SDL_PrivateAudioData::fragsize

Definition at line 41 of file SDL_sunaudio.h.

float SDL_PrivateAudioData::frame_ticks

Definition at line 46 of file SDL_artsaudio.h.

int SDL_PrivateAudioData::frequency

Definition at line 42 of file SDL_sunaudio.h.

IFusionSound* SDL_PrivateAudioData::fs

Definition at line 36 of file SDL_fsaudio.h.

HWAVEIN SDL_PrivateAudioData::hin

Definition at line 36 of file SDL_winmm.h.

HWAVEOUT SDL_PrivateAudioData::hout

Definition at line 35 of file SDL_winmm.h.

Uint32 SDL_PrivateAudioData::initial_calls

Definition at line 37 of file SDL_dummyaudio.h.

int SDL_PrivateAudioData::iscapture

Definition at line 37 of file SDL_qsa_audio.h.

struct timeval SDL_PrivateAudioData::last_tv

Definition at line 51 of file SDL_nasaudio.h.

DWORD SDL_PrivateAudioData::lastchunk

Definition at line 40 of file SDL_directsound.h.

Uint8* SDL_PrivateAudioData::locked_buf

Definition at line 41 of file SDL_directsound.h.

pa_mainloop* SDL_PrivateAudioData::mainloop

Definition at line 36 of file SDL_pulseaudio.h.

pa_mainloop_api* SDL_PrivateAudioData::mainloop_api

Definition at line 37 of file SDL_pulseaudio.h.

LPDIRECTSOUNDBUFFER SDL_PrivateAudioData::mixbuf

Definition at line 37 of file SDL_directsound.h.

Uint8 * SDL_PrivateAudioData::mixbuf

Definition at line 39 of file SDL_alsa_audio.h.

Referenced by PSPAUD_PlayDevice().

Uint8* SDL_PrivateAudioData::mixbufs[NUM_BUFFERS]

Definition at line 38 of file SDL_pspaudio.h.

Uint32 SDL_PrivateAudioData::mixlen

Definition at line 37 of file SDL_diskaudio.h.

int SDL_PrivateAudioData::mixlen

Definition at line 40 of file SDL_alsa_audio.h.

int SDL_PrivateAudioData::mixsamples

Definition at line 44 of file SDL_fsaudio.h.

int SDL_PrivateAudioData::next_buffer

Definition at line 40 of file SDL_pspaudio.h.

float SDL_PrivateAudioData::next_frame

Definition at line 47 of file SDL_artsaudio.h.

int SDL_PrivateAudioData::num_buffers

Definition at line 38 of file SDL_directsound.h.

SDL_RWops* SDL_PrivateAudioData::output

Definition at line 35 of file SDL_diskaudio.h.

pid_t SDL_PrivateAudioData::parent

Definition at line 39 of file SDL_artsaudio.h.

Uint8* SDL_PrivateAudioData::pcm_buf

Definition at line 51 of file SDL_qsa_audio.h.

snd_pcm_t* SDL_PrivateAudioData::pcm_handle

Definition at line 36 of file SDL_alsa_audio.h.

Uint32 SDL_PrivateAudioData::pcm_len

Definition at line 52 of file SDL_qsa_audio.h.

Uint8* SDL_PrivateAudioData::rawbuf

Definition at line 36 of file SDL_pspaudio.h.

int SDL_PrivateAudioData::really

Definition at line 49 of file SDL_nasaudio.h.

LPDIRECTSOUND SDL_PrivateAudioData::sound

Definition at line 36 of file SDL_directsound.h.

arts_stream_t SDL_PrivateAudioData::stream

Definition at line 36 of file SDL_artsaudio.h.

pa_stream* SDL_PrivateAudioData::stream

Definition at line 39 of file SDL_pulseaudio.h.

IFusionSoundStream* SDL_PrivateAudioData::stream

Definition at line 39 of file SDL_fsaudio.h.

uint32_t SDL_PrivateAudioData::timeout_on_wait

Definition at line 48 of file SDL_qsa_audio.h.

Uint8* SDL_PrivateAudioData::ulaw_buf

Definition at line 39 of file SDL_sunaudio.h.

int SDL_PrivateAudioData::ulaw_only

Definition at line 38 of file SDL_sunaudio.h.

WAVEHDR SDL_PrivateAudioData::wavebuf[NUM_BUFFERS]

Definition at line 39 of file SDL_winmm.h.

Uint32 SDL_PrivateAudioData::write_delay

Definition at line 38 of file SDL_diskaudio.h.

Sint32 SDL_PrivateAudioData::written

Definition at line 40 of file SDL_sunaudio.h.

int SDL_PrivateAudioData::written

Definition at line 48 of file SDL_nasaudio.h.

The documentation for this struct was generated from the following files:

- zenilib/jni/external/sdl/src/audio/alsa/SDL_alsa_audio.h
- zenilib/jni/external/sdl/src/audio/arts/SDL_artsaudio.h
- zenilib/jni/external/sdl/src/audio/baudio/SDL_beaudio.h
- zenilib/jni/external/sdl/src/audio/bsd/SDL_bsdaudio.h
- zenilib/jni/external/sdl/src/audio/coreaudio/SDL_coreaudio.h
- zenilib/jni/external/sdl/src/audio/directsound/SDL_directsound.h
- zenilib/jni/external/sdl/src/audio/disk/SDL_diskaudio.h
- zenilib/jni/external/sdl/src/audio/dsp/SDL_dspaudio.h
- zenilib/jni/external/sdl/src/audio/dummy/SDL_dummyaudio.h
- zenilib/jni/external/sdl/src/audio/esd/SDL_esdaudio.h
- zenilib/jni/external/sdl/src/audio/fusionsound/SDL_fsaudio.h
- zenilib/jni/external/sdl/src/audio/nas/SDL_nasaudio.h
- zenilib/jni/external/sdl/src/audio/paudio/SDL_paudio.h
- zenilib/jni/external/sdl/src/audio/psp/SDL_pspaudio.h
- zenilib/jni/external/sdl/src/audio/pulseaudio/SDL_pulseaudio.h
- zenilib/jni/external/sdl/src/audio/qsa/SDL_qsa_audio.h
- zenilib/jni/external/sdl/src/audio/sndio/SDL_sndioaudio.h
- zenilib/jni/external/sdl/src/audio/sun/SDL_sunaudio.h
- zenilib/jni/external/sdl/src/audio/winmm/SDL_winmm.h